Functions
Initialization
kvaMemoLibXML

## Functions
KvaXmlStatus | kvaXmlInitialize (void)
KvaXmlStatus | kvaXmlGetLastError (char *buf, unsigned int len, KvaXmlStatus *err)

## Detailed Description

## Function Documentation

## ◆ kvaXmlGetLastError()

KvaXmlStatus kvaXmlGetLastError | ( | char * | buf,
|  | unsigned int | len,
|  | KvaXmlStatus * | err
| ) |  |

Get the last error message (if any) from the conversion in human readable format. Use the macro XML_ERROR_MESSAGE_LENGTH to allocate the buffer buf.

Parameters

  [out] | buf | Buffer to receive error text.
  [in] | len | Buffer size in bytes.
  [in] | err | The error code to convert.

Returns
  KvaXmlStatusOK (zero) if success.
  KvaXmlStatusERR_XXX (negative) if failure.

## ◆ kvaXmlInitialize()

KvaXmlStatus kvaXmlInitialize | ( | void |  | ) |

This function must be called before any other functions are used. It will initialize the kvamemolibxml library.

Returns
  KvaXmlStatusOK (zero) if success.
  KvaXmlStatusERR_XXX (negative) if failure.